# Class FormArrayRemovableDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:25

#####
Index

### Constructors

constructor

### Properties

deletedControl
formGroup
parent

### Accessors

isDeleted
isDisabled

### Methods

ngAfterViewInit
ngOnDestroy

##
Constructors

### constructor

- new FormArrayRemovableDirective(
  parent: ControlContainer,
  ): FormArrayRemovableDirective

  #### Parameters

  - parent: ControlContainer

  #### Returns FormArrayRemovableDirective

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:32

##
Properties

### `Protected` deletedControl

deletedControl: RxapFormControl<boolean>

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:29

### `Protected` formGroup

formGroup: RxapFormGroup<{ deleted: boolean }>

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:27

### `Protected` `Readonly` parent

parent: ControlContainer

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:32

##
Accessors

### isDeleted

- get isDeleted(): boolean

  #### Returns boolean

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:35

### `Protected` isDisabled

- get isDisabled(): boolean

  #### Returns boolean

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:39

##
Methods

### ngAfterViewInit

- ngAfterViewInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of a component's view. It is invoked only once when the view is instantiated.

  #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:43

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-removable.directive.ts:77